package nl.kallestruik.darena.managers

import nl.kallestruik.darena.arenas.Arena
import nl.kallestruik.darena.arenas.ArenaConfig
import nl.kallestruik.darena.util.ArenaUtil
import org.bukkit.plugin.java.JavaPlugin
import java.io.File
import java.nio.file.Files

class ArenaManager(
    private val arenaUtil: ArenaUtil,
    private val plugin: JavaPlugin,
) {
    private val arenas: MutableList<Arena> = ArrayList()

    fun loadArenas(arenaFolder: File) {
        Files.walk(arenaFolder.toPath()).use { walk ->
            walk.forEach { path ->
                arenas.add(Arena(
                    ArenaConfig.load(path.toFile()),
                    arenaUtil,
                    plugin)
                )
            }
        }
    }
}
