package nl.kallestruik.darena.managers

import nl.kallestruik.darena.exceptions.TeamNotFoundException
import nl.kallestruik.darena.types.Team
import java.io.File
import java.util.*
import kotlin.collections.HashMap

class PointsManager(
    val teamManager: TeamManager,
    val pointsFile: File
) {
    private val points: MutableMap<Team, Int> = HashMap()

    fun load() {
        //TODO: Load points from file.
    }

    @Throws(TeamNotFoundException::class)
    fun givePointsToPlayer(uuid: UUID, amount: Int, reason: String) {
        val team = teamManager.getTeamForPlayer(uuid)

        givePointsToTeam(team, amount, reason)
    }

    fun givePointsToTeam(team: Team, amount: Int, reason: String) {
        points[team] = (points[team]?: 0) + amount
        //TODO: Send message with reason to team members (and everyone else?)
    }

    @Throws(TeamNotFoundException::class)
    fun getPointsForPlayer(uuid: UUID): Int {
        val team = teamManager.getTeamForPlayer(uuid)

        return getPointsForTeam(team)
    }

    fun getPointsForTeam(team: Team): Int {
        return points[team] ?: 0
    }


}