package nl.kallestruik.darena.types.arena

import org.bukkit.configuration.ConfigurationSection
import org.bukkit.configuration.InvalidConfigurationException
import nl.kallestruik.darena.types.ConfigListSaveable
import nl.kallestruik.darena.types.ConfigListLoadable
import nl.kallestruik.darena.util.Logger

data class ArenaEnchantment(
    val name: String,
    val level: Int,
): ConfigListSaveable {
    override fun getKey(): String {
        Logger.trace(ArenaEnchantment::class, "getKey()")
        return name
    }

    override fun getValue(): Int {
        Logger.trace(ArenaEnchantment::class, "getValue()")
        return level
    }

    companion object: ConfigListLoadable<ArenaEnchantment> {
        override fun loadFromList(key: String, value: Any): ArenaEnchantment {
        Logger.trace(ArenaEnchantment::class, "loadFromList(key: $key, value: $value)")
            return ArenaEnchantment(
                key,
                value as Int
            )
        }
    }
}
