package nl.kallestruik.darena.types.arena

import nl.kallestruik.darena.types.ConfigSaveable
import nl.kallestruik.darena.types.ConfigLoadable
import org.bukkit.configuration.ConfigurationSection

class ArenaPotionEffect(
    val name: String,
    val strength: Int,
    val duration: Int,
    val hidden: Boolean
): ConfigSaveable {
    override fun save(section: ConfigurationSection) {
        section.set("strength", strength)
        section.set("duration", duration)
        section.set("hidden", hidden)
    }

    companion object: ConfigLoadable<ArenaPotionEffect> {
        override fun load(section: ConfigurationSection): ArenaPotionEffect {
            return ArenaPotionEffect(
                section.name,
                section.getInt("strength"),
                section.getInt("duration"),
                section.getBoolean("hidden"))
        }
    }
}
